xine-lib: plugin_node_s Struct Reference

xine-lib 1.2.12

Data Fields
plugin_node_s Struct Reference

`#include <plugin_catalog.h>`

## Data Fields
plugin_file_t * | file
plugin_info_t * | info
void * | plugin_class
xine_list_t * | config_entry_list
int | ref
int | priority

## Field Documentation

## ◆ config_entry_list

xine_list_t* plugin_node_s::config_entry_list

Referenced by _fat_node_init(), _new_entry_cb(), dispose_plugin_list(), and save_plugin_list().

## ◆ file

plugin_file_t* plugin_node_s::file

Referenced by _dispose_plugin_class(), _fat_node_init(), _insert_node(), _load_plugin_class(), _load_required_plugins(), _unload_unref_plugin(), dispose_plugin_list(), load_plugin_list(), and save_plugin_list().

## ◆ info

plugin_info_t* plugin_node_s::info

Referenced by _build_list_typed_plugins(), _decoder_priority_cb(), _dispose_plugin_class(), _fat_node_init(), _get_input_class(), _insert_node(), _load_plugin_class(), _load_required_plugins(), _post_plugin_node_comparator(), _register_plugins_internal(), _x_find_demux_plugin(), _x_find_demux_plugin_by_name(), _x_find_demux_plugin_last_probe(), _x_find_module(), _x_get_audio_decoder(), _x_get_spu_decoder(), _x_get_video_decoder(), _x_load_audio_output_plugin(), _x_load_video_output_plugin(), collect_plugins(), dec_node_ref(), dispose_plugin_list(), load_plugin_list(), map_decoder_list(), save_plugin_list(), xine_get_autoplay_input_plugin_ids(), xine_get_browsable_input_plugin_ids(), xine_get_demux_for_mime_type(), xine_list_post_plugins_typed(), xine_new_framegrab_video_port(), xine_open_audio_driver(), and xine_post_init().

## ◆ plugin_class

void* plugin_node_s::plugin_class

Referenced by _dispose_plugin_class(), _fat_node_init(), _get_demux_strings(), _get_input_class(), _load_audio_driver(), _load_plugin_class(), _load_required_plugins(), _load_video_driver(), _x_find_demux_plugin(), _x_find_demux_plugin_by_name(), _x_find_demux_plugin_last_probe(), _x_find_input_plugin(), _x_find_module(), _x_get_audio_decoder(), _x_get_spu_decoder(), _x_get_video_decoder(), xine_get_autoplay_input_plugin_ids(), xine_get_browsable_input_plugin_ids(), xine_get_demux_for_mime_type(), and xine_post_init().

## ◆ priority

int plugin_node_s::priority

Referenced by _decoder_priority_cb(), _fat_node_init(), _insert_node(), _plugin_node_comparator(), _post_plugin_node_comparator(), and map_decoder_list().

## ◆ ref

int plugin_node_s::ref

Referenced by _fat_node_init(), _unload_unref_plugin(), dec_node_ref(), dispose_plugin_list(), and inc_node_ref().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/include/xine/plugin_catalog.h